## parley 22.12.0

=== debian/changelog ===
parley (4:22.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Update lintian override info format in d/parley.lintian-overrides on line 1.
  * Update standards version to 4.6.1, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.15.2
    - bump KF packages to 5.91.0
    - drop libkf5kcmutils-dev, no more used
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Fri, 16 Dec 2022 22:06:22 +0100

parley (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable blhc, as it should work fine now.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.73.0
    - add libkf5textwidgets-dev
    - drop kross-dev
  * Drop removal of files that do not exist anymore.
  * Small copyright update.
  * Drop the krosspython recommend, as Kross is not used anymore.
  * Suggest translate-shell for the online translation services; note it is
    in contrib, so it cannot be more than a suggest.
  * Update lintian overrides.
  * Drop old breaks/replaces for versions older than Buster.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 17:25:24 +0100

=== debian/control ===
Source: parley
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libkeduvocdocument-dev (>= 4:16.08),
               libkf5config-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5crash-dev (>= 5.91.0~),
               libkf5doctools-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5newstuff-dev (>= 5.91.0~),
               libkf5notifications-dev (>= 5.91.0~),
               libkf5sonnet-dev (>= 5.91.0~),
               libkf5textwidgets-dev (>= 5.91.0~),
               libkf5xmlgui-dev (>= 5.91.0~),
               libqt5svg5-dev (>= 5.15.2~),
               libxml2-dev,
               libxslt-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               qtmultimedia5-dev (>= 5.15.2~),
               qtwebengine5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://kde.org/applications/education/org.kde.parley
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/parley.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/parley

Package: parley
Architecture: any
Depends: kdeedu-kvtml-data,
         kross,
         parley-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter,
          translate-shell,
Description: vocabulary trainer
 Parley is a utility to help train vocabulary when learning a foreign language.
 It is intended as a replacement for flash cards.
 .
 This package is part of the KDE education module.

Package: parley-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the Parley vocabulary trainer
 This package contains architecture-independent data files for the Parley
 vocabulary trainer.
 .
 This package is part of the KDE education module.

## parley 22.12.3

=== src/CMakeLists.txt ===
include_directories( ${parley_INCLUDE_DIRS}
		     ${CMAKE_CURRENT_SOURCE_DIR}/collection
		     ${CMAKE_CURRENT_SOURCE_DIR}/editor  # FIXME: Remove when moving the rest of the files in vocabulary/
)

# installation of kconfig files .kcfg containing app settings
add_subdirectory( settings )

set(parley_LIB_SRCS
    collection/collection.cpp
    collection/collection.h
    collection/containermimedata.cpp
    collection/containermimedata.h
    collection/containermodel.cpp
    collection/containermodel.h
    collection/containerview.cpp
    collection/containerview.h
    collection/entryfilter.cpp
    collection/entryfilterdialog.cpp
    collection/entryfilterdialog.h
    collection/entryfilter.h
    collection/lessonmodel.cpp
    collection/lessonmodel.h
    collection/readonlycontainermodel.cpp
    collection/readonlycontainermodel.h
    collection/testentry.cpp
    collection/testentry.h
    collection/vocabularyfilter.cpp
    collection/vocabularyfilter.h
    collection/vocabularymimedata.cpp
    collection/vocabularymimedata.h
    collection/vocabularymodel.cpp
    collection/vocabularymodel.h
    collection/wordclassmodel.cpp
    collection/wordclassmodel.h
    dashboard/barwidget.cpp
    dashboard/barwidget.h
    dashboard/buttondelegate.cpp
    dashboard/buttondelegate.h
    dashboard/collectionwidget.cpp
    dashboard/collectionwidget.h
    dashboard/dashboard.cpp
    dashboard/dashboard.h
    dashboard/gradereferencewidget.cpp
    dashboard/gradereferencewidget.h
    editor/audiowidget.cpp
    editor/audiowidget.h
    editor/browserwidget.cpp
    editor/browserwidget.h
    editor/comparisonwidget.cpp
    editor/comparisonwidget.h
    editor/conjugationwidget.cpp
    editor/conjugationwidget.h
    editor/declensionwidget.cpp
    editor/declensionwidget.h
    editor/editor.cpp
    editor/editor.h
    editor/imagechooserwidget.cpp
    editor/imagechooserwidget.h
    editor/inflectionwidget.cpp
    editor/inflectionwidget.h
    editor/latexwidget.cpp
    editor/latexwidget.h
    editor/lessonview.cpp
    editor/lessonview.h
    editor/multiplechoicewidget.cpp
    editor/multiplechoicewidget.h
    editor/summarywordwidget.cpp
    editor/summarywordwidget.h
    editor/synonymwidget.cpp
    editor/synonymwidget.h
    editor/translateshelladapter.cpp
    editor/translateshelladapter.h
    editor/vocabularycolumnsdialog.cpp
    editor/vocabularycolumnsdialog.h
    editor/vocabularydelegate.cpp
    editor/vocabularydelegate.h
    editor/vocabularyheaderview.cpp
    editor/vocabularyheaderview.h
    editor/vocabularyview.cpp
    editor/vocabularyview.h
    editor/wordtypeview.cpp
    editor/wordtypeview.h
    parleyactions.cpp
    parleyactions.h
    parleydocument.cpp
    parleydocument.h
    parleymainwindow.cpp
    parleymainwindow.h
    practice/abstractbackendmode.cpp
    practice/abstractbackendmode.h
    practice/abstractfrontend.cpp
    practice/abstractfrontend.h
    practice/abstractwidget.cpp
    practice/abstractwidget.h
    practice/audiobutton.cpp
    practice/audiobutton.h
    practice/boxeswidget.cpp
    practice/boxeswidget.h
    practice/comparisonbackendmode.cpp
    practice/comparisonbackendmode.h
    practice/comparisonmodewidget.cpp
    practice/comparisonmodewidget.h
    practice/configure/blockoptions.cpp
    practice/configure/blockoptions.h
    practice/configure/configurepracticedialog.cpp
    practice/configure/configurepracticedialog.h
    practice/configure/generalpracticeoptions.cpp
    practice/configure/generalpracticeoptions.h
    practice/configure/specificpracticeoptions.cpp
    practice/configure/specificpracticeoptions.h
    practice/configure/thresholdoptions.cpp
    practice/configure/thresholdoptions.h
    practice/conjugationbackendmode.cpp
    practice/conjugationbackendmode.h
    practice/conjugationdata.h
    practice/conjugationmodewidget.cpp
    practice/conjugationmodewidget.h
    practice/examplesentencebackendmode.cpp
    practice/examplesentencebackendmode.h
    practice/flashcardbackendmode.cpp
    practice/flashcardbackendmode.h
    practice/flashcardmodewidget.cpp
    practice/flashcardmodewidget.h
    practice/genderbackendmode.cpp
    practice/genderbackendmode.h
    practice/guifrontend.cpp
    practice/guifrontend.h
    practice/imagecache.cpp
    practice/imagecache.h
    practice/imagewidget.cpp
    practice/imagewidget.h
    practice/latexrenderer.cpp
    practice/latexrenderer.h
    practice/mixedlettersmodewidget.cpp
    practice/mixedlettersmodewidget.h
    practice/multiplechoicebackendmode.cpp
    practice/multiplechoicebackendmode.h
    practice/multiplechoicedata.h
    practice/multiplechoicemodewidget.cpp
    practice/multiplechoicemodewidget.h
    practice/practicemainwindow.cpp
    practice/practicemainwindow.h
    practice/practicestatemachine.cpp
    practice/practicestatemachine.h
    practice/practicesummarycomponent.cpp
    practice/practicesummarycomponent.h
    practice/sessionmanagerbase.cpp
    practice/sessionmanagerbase.h
    practice/sessionmanagercontinuous.cpp
    practice/sessionmanagercontinuous.h
    practice/sessionmanagerfixed.cpp
    practice/sessionmanagerfixed.h
    practice/statustogglebutton.cpp
    practice/statustogglebutton.h
    practice/statustoggle.cpp
    practice/statustoggle.h
    practice/summarybarwidget.cpp
    practice/summarybarwidget.h
    practice/themedbackgroundrenderer.cpp
    practice/themedbackgroundrenderer.h
    practice/writtenbackendmode.cpp
    practice/writtenbackendmode.h
    practice/writtenpracticevalidator.cpp
    practice/writtenpracticevalidator.h
    practice/writtenpracticewidget.cpp
    practice/writtenpracticewidget.h
    settings/documentproperties.cpp
    settings/documentproperties.h
    settings/generaloptions.cpp
    settings/generaloptions.h
    settings/kgametheme/kgametheme.cpp
    settings/kgametheme/kgametheme.h
    settings/kgametheme/kgamethemeselector.cpp
    settings/kgametheme/kgamethemeselector.h
    settings/languageproperties.cpp
    settings/languageproperties.h
    settings/languagepropertiespage.cpp
    settings/languagepropertiespage.h
    settings/parleyprefs.cpp
    settings/parleyprefs.h
    settings/translationshelloptions.cpp
    settings/translationshelloptions.h
    settings/viewoptions.cpp
    settings/viewoptions.h
    statistics/conjugationoptions.cpp
    statistics/conjugationoptions.h
    statistics/lessonstatisticsview.cpp
    statistics/lessonstatisticsview.h
    statistics/statisticslegendwidget.cpp
    statistics/statisticslegendwidget.h
    statistics/statisticsmainwindow.cpp
    statistics/statisticsmainwindow.h
    statistics/statisticsmodel.cpp
    statistics/statisticsmodel.h
    utils.cpp
    utils.h

)

ki18n_wrap_ui(parley_LIB_SRCS
    collection/entryfilterdialog.ui
    editor/multiplechoicewidget.ui
    editor/comparisonwidget.ui
    editor/conjugationwidget.ui
    editor/declensionwidget.ui
    editor/imagechooserwidget.ui
    editor/audiowidget.ui
    editor/synonymwidget.ui
    editor/browserwidget.ui
    editor/summarywordwidget.ui
    editor/latexwidget.ui
    practice/practicesummarywidget.ui
    practice/practice_mainwindow.ui
    practice/practice_widget_comparison.ui
    practice/practice_widget_conjugation.ui
    practice/practice_widget_flashcard.ui
    practice/practice_widget_multiplechoice.ui
    practice/practice_widget_written.ui
    practice/configure/generalpracticeoptions.ui
    practice/configure/blockoptions.ui
    practice/configure/thresholdoptions.ui
    practice/configure/specificpracticeoptions.ui
    settings/optionlistform.ui
    settings/viewoptionsbase.ui
    settings/generaloptionsbase.ui
    settings/languagepropertiespage.ui
    settings/documentproperties.ui
    settings/kgametheme/kgamethemeselector.ui
    settings/translationshellpage.ui
    statistics/statisticsmainwindow.ui
    dashboard/dashboard.ui
)

kconfig_add_kcfg_files(parley_LIB_SRCS
    settings/prefs.kcfgc
    settings/documentsettings.kcfgc
    settings/languagesettings.kcfgc
)

qt_add_dbus_adaptor(parley_LIB_SRCS editor/org.kde.parley.xml
                     editor/editor.h Editor::EditorWindow)

#### XSLT Support ####
# to transform the document xml to html or other
if(HAVE_LIBXSLT)
    set(parley_LIB_SRCS ${parley_LIB_SRCS}
        exportdialog.cpp
        exportdialog.h
    )

    ki18n_wrap_ui(parley_LIB_SRCS
        exportdialog.ui
    )
endif(HAVE_LIBXSLT)
#### End XSLT Support ####

# This library is used both by parley itself and the unit tests.
add_library(parley_LIB STATIC ${parley_LIB_SRCS})

set(parley_SRCS main.cpp)
add_executable(parley ${parley_SRCS})

target_link_libraries(parley parley_LIB ${parley_LINK_LIBS})
target_link_libraries(parley_LIB ${parley_LINK_LIBS})

########### install files ###############
install(TARGETS parley  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

# desktop files appear in the menus
install( PROGRAMS org.kde.parley.desktop DESTINATION  ${KDE_INSTALL_APPDIR} )

# hot new stuff config
install( FILES parley.knsrc parley-themes.knsrc DESTINATION  ${KDE_INSTALL_KNSRCDIR} )


# UI files - define menus and toolbars
# @todo frameworks find a definitive locations for files and then use KXMLGUI_INSTALL_DIR
install( FILES parleyui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/parley )
#install( FILES editor/editorui.rc DESTINATION  ${KDE_INSTALL_DATADIR}/parley )
install( FILES editor/editorui.rc DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/parley )
install( FILES dashboard/dashboardui.rc DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/parley )
# install( FILES statistics/statisticsui.rc DESTINATION  ${KDE_INSTALL_DATADIR}/parley )
# install( FILES practice/practiceui.rc DESTINATION  ${KDE_INSTALL_DATADIR}/parley )
# install( FILES practice/practicesummaryui.rc DESTINATION  ${KDE_INSTALL_DATADIR}/parley )
install( FILES statistics/statisticsui.rc DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/parley )
install( FILES practice/practiceui.rc DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/parley )
install( FILES practice/practicesummaryui.rc DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/parley )

=== themes/CMakeLists.txt ===
install(FILES
   theme_reference.svgz
   theme_reference.desktop
   theme_reference_preview.jpg
   bees_theme.svgz
   bees_theme.desktop
   bees_theme_preview.jpg
   # DESTINATION ${KDE_INSTALL_DATADIR}/parley/themes)
   DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/parley/themes)

#@todo frameworks one of these directories is wrong
install(FILES
   theme_reference.svgz
   theme_reference.desktop
   theme_reference_preview.jpg
   bees_theme.svgz
   bees_theme.desktop
   bees_theme_preview.jpg
   DESTINATION ${KDE_INSTALL_DATADIR}/parley/themes)
   # DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/parley/themes)

=== debian/changelog ===
parley (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:26 +0100

parley (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Added myself to the uploaders.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:07:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
@@ -27,7 +28,7 @@
                qtbase5-dev (>= 5.15.2~),
                qtmultimedia5-dev (>= 5.15.2~),
                qtwebengine5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://kde.org/applications/education/org.kde.parley
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/parley.git
@@ -40,8 +41,7 @@
          parley-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Suggests: khelpcenter,
-          translate-shell,
+Suggests: khelpcenter, translate-shell,
 Description: vocabulary trainer
  Parley is a utility to help train vocabulary when learning a foreign language.
  It is intended as a replacement for flash cards.
@@ -50,7 +50,7 @@
 
 Package: parley-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: data files for the Parley vocabulary trainer
  This package contains architecture-independent data files for the Parley
  vocabulary trainer.

## parley 23.08.1

=== debian/changelog ===
parley (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:07:26 +0100

parley (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:02:21 +0100

parley (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:41:46 +0100

parley (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:58:24 +0100

parley (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:03:29 +0100

parley (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:46:33 +0000

parley (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:30:30 -0600

parley (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:21:56 +0000

parley (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libkeduvocdocument-dev 22.12.0

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Dec 2022 11:03:05 +0000

parley (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:18:28 +0000

parley (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:14:40 +0000

parley (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:56:39 +0000

parley (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:17:21 +0000

parley (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:48:56 +0100

parley (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:58:04 +0100

parley (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:36:12 +0100

parley (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:10:55 +0100

parley (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:10:13 +0100

parley (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:57:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: parley
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16.0~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.5.0~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.91.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:16.08),
+               libkeduvocdocument-dev (>= 4:23.08.1~),
                libkf5config-dev (>= 5.91.0~),
                libkf5coreaddons-dev (>= 5.91.0~),
                libkf5crash-dev (>= 5.91.0~),
@@ -28,11 +28,11 @@
                qtbase5-dev (>= 5.15.2~),
                qtmultimedia5-dev (>= 5.15.2~),
                qtwebengine5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://kde.org/applications/education/org.kde.parley
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/parley.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/parley
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
 
 Package: parley
 Architecture: any
@@ -41,7 +41,8 @@
          parley-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Suggests: khelpcenter, translate-shell,
+Suggests: khelpcenter,
+          translate-shell,
 Description: vocabulary trainer
  Parley is a utility to help train vocabulary when learning a foreign language.
  It is intended as a replacement for flash cards.
@@ -50,7 +51,7 @@
 
 Package: parley-data
 Architecture: all
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: data files for the Parley vocabulary trainer
  This package contains architecture-independent data files for the Parley
  vocabulary trainer.

## parley 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(parley VERSION ${RELEASE_SERVICE_VERSION})
set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.91.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMEnableSanitizers)
include(FeatureSummary)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

#Allows QString concatenation to use a single memory allocation per source line.
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_NO_FOREACH)
add_definitions(-DKNEWSTUFFWIDGETS_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055A00)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED
  Core
  Svg
  Concurrent
  Multimedia
  WebEngineWidgets
)

find_package(KF5 ${KF5_MIN_VERSION} MODULE REQUIRED COMPONENTS
  DocTools  #to produce the docbook
  CoreAddons
  Config
  Crash
  I18n
  KIO
  NewStuff
  Sonnet
  TextWidgets
  XmlGui
  Notifications
)
ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.99.0
)


find_package(LibKEduVocDocument)
set_package_properties(LibKEduVocDocument PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required to manipulate the KDE word files."
                      )

find_package(LibXslt)
set_package_properties(LibXslt PROPERTIES
                       URL "http://xmlsoft.org/XSLT"
                       TYPE OPTIONAL
                       PURPOSE "Required to build HTML export for Parley."
                      )

find_package(LibXml2)
set_package_properties(LibXml2 PROPERTIES
                       URL "http://xmlsoft.org"
                       TYPE OPTIONAL
                       PURPOSE "Required to build HTML export for Parley."
                      )

find_package(TranslateShell)
set_package_properties(TranslateShell PROPERTIES
                       URL "https://github.com/soimort/translate-shell"
                       TYPE RUNTIME
                       PURPOSE "Runtime dependency for online access to translations"
                      )

# at the end, output the configuration
configure_file(
   ${CMAKE_CURRENT_SOURCE_DIR}/config-parley.h.cmake
   ${CMAKE_CURRENT_BINARY_DIR}/config-parley.h
)

# let our config-parley.h be found first in any case
include_directories (BEFORE ${CMAKE_CURRENT_BINARY_DIR})



# Define link libs for parley executable and unittests
set( parley_LINK_LIBS
  LibKEduVocDocumentImport__KEduVocDocument
  Qt::Core
  Qt::Svg
  KF5::I18n
  KF5::NewStuffWidgets
  KF5::SonnetCore
  KF5::SonnetUi
  KF5::XmlGui
  KF5::Completion
  KF5::ConfigWidgets
  KF5::ConfigGui
  KF5::WidgetsAddons
  KF5::TextWidgets
  KF5::KIOWidgets
  Qt::Widgets
  Qt::Gui
  Qt::Concurrent
  Qt::Multimedia
  KF5::Notifications
  KF5::Crash
  KF5::CoreAddons
  Qt::WebEngineWidgets
)

message(STATUS "cmake cflags ${CMAKE_C_FLAGS}")
message(STATUS "cmake link flags ${CMAKE_EXE_LINKER_FLAGS}")

if(${LIBXSLT_FOUND} AND ${LIBXML2_FOUND})
  set(HAVE_LIBXSLT 1)
  message(STATUS "XLST found")
  set( parley_LINK_LIBS ${parley_LINK_LIBS} ${LIBXML2_LIBRARIES} ${LIBXSLT_LIBRARIES})
  include_directories(${LIBXML2_INCLUDE_DIR} ${LIBXSLT_INCLUDE_DIR})
else(${LIBXSLT_FOUND} AND ${LIBXML2_FOUND})
  set(HAVE_LIBXSLT 0)
  message(STATUS "XSLT not found, but not required")
endif(${LIBXSLT_FOUND} AND ${LIBXML2_FOUND})

if(X11_Xrender_FOUND)
  message(STATUS "X11 Xrender found")
  set( parley_LINK_LIBS ${parley_LINK_LIBS} ${X11_LIBRARIES} ${X11_Xrender_LIB})
else(X11_Xrender_FOUND)
  message(STATUS "X11 Xrender not found, but not required")
endif(X11_Xrender_FOUND)

if(BUILD_TESTING)
  find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Test)
  add_subdirectory( autotests )
  add_subdirectory( tests )
endif()

add_subdirectory( docs )
add_subdirectory( src )
add_subdirectory( icons )
add_subdirectory( themes )

if(HAVE_LIBXSLT)
    add_subdirectory( xslt )
endif(HAVE_LIBXSLT)

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install(FILES org.kde.parley.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
parley (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:05:41 +1100

parley (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:19:28 +0000

parley (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:30:02 -0700

parley (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:23:39 +0000

parley (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:44:07 +0000

parley (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:40:20 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.91.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:23.08.1~),
+               libkeduvocdocument-dev (>= 4:23.08.5~),
                libkf5config-dev (>= 5.91.0~),
                libkf5coreaddons-dev (>= 5.91.0~),
                libkf5crash-dev (>= 5.91.0~),

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## parley 24.08.2

=== debian/changelog ===
parley (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 18:01:55 -0500

parley (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Switch to kf6 debhelper build sequence.
  * Update the list of installed files.
  * Reenable build-time tests.
  * Switch away from transitional pkg-config build dependency.
  * Bump Standards-Version to 4.7.0, no change required.
  * Refresh upstream metadata.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 20 Oct 2024 22:59:35 +0200

parley (4:23.08.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove 2 obsolete maintscript entries in 1 files.
  * Drop the kross dependency, no more needed since 21.12.3.

 -- Pino Toscano <pino@debian.org>  Sat, 11 Nov 2023 07:29:20 +0100

=== debian/control ===
Source: parley
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkeduvocdocument-dev (>= 4:24.08.2~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6newstuff-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6sonnet-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libxml2-dev,
               libxslt-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               qt6-webengine-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://edu.kde.org/parley
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley

Package: parley
Architecture: any
Depends: kdeedu-kvtml-data,
         parley-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter, translate-shell,
Description: vocabulary trainer
 Parley is a utility to help train vocabulary when learning a foreign language.
 It is intended as a replacement for flash cards.
 .
 This package is part of the KDE education module.

Package: parley-data
Architecture: all
Depends: ${misc:Depends},
Description: data files for the Parley vocabulary trainer
 This package contains architecture-independent data files for the Parley
 vocabulary trainer.
 .
 This package is part of the KDE education module.

## parley 24.12.0

=== debian/changelog ===
parley (4:24.12.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Limit the build of the browser integration to architectures where
    Qt6 WebEngine is available (amd64 arm64 armhf i386).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Dec 2024 19:52:18 +0100

parley (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 00:13:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: parley
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16.0~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                libkeduvocdocument-dev (>= 4:24.08.2~),
@@ -28,14 +27,14 @@
                qt6-base-dev (>= 6.5.0~),
                qt6-multimedia-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
-               qt6-webengine-dev (>= 6.5.0~),
+               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/parley
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/parley.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/parley
 
 Package: parley
 Architecture: any

## parley 24.12.1

=== debian/changelog ===
parley (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)
  * Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:40:57 +0000

parley (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:25:12 +0000

parley (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:16:23 +0000

parley (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 12:50:17 +0000

parley (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:48:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: parley
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16.0~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:24.08.2~),
+               libkeduvocdocument-dev (>= 4:24.12.1~),
                libkf6config-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),
                libkf6crash-dev (>= 6.3.0~),
@@ -27,17 +28,17 @@
                qt6-base-dev (>= 6.5.0~),
                qt6-multimedia-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
-               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
+               qt6-webengine-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/parley
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/parley.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/parley
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
 
 Package: parley
-Architecture: any
+Architecture: amd64 arm64 armhf
 Depends: kdeedu-kvtml-data,
          parley-data (>= ${source:Version}),
          ${misc:Depends},

## parley 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(parley VERSION ${RELEASE_SERVICE_VERSION})
-set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.91.0")
-set(KDE_COMPILERSETTINGS_LEVEL "5.82")
+set(QT_MIN_VERSION "6.5.0")
+set(KF_MIN_VERSION "6.3.0")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82.0")
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 
@@ -28,17 +28,20 @@
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DKNEWSTUFFWIDGETS_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055A00)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED
+option(BUILD_BROWSERINTEGRATION "Build integration for accessing the Internet (requires QtWebengine)" ON)
+
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
   Core
   Svg
   Concurrent
   Multimedia
-  WebEngineWidgets
 )
+if (BUILD_BROWSERINTEGRATION)
+    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED WebEngineWidgets)
+endif()
 
-find_package(KF5 ${KF5_MIN_VERSION} MODULE REQUIRED COMPONENTS
+find_package(KF6 ${KF_MIN_VERSION} MODULE REQUIRED COMPONENTS
   DocTools  #to produce the docbook
   CoreAddons
   Config
@@ -51,8 +54,8 @@
   XmlGui
   Notifications
 )
-ecm_set_disabled_deprecation_versions(QT 5.15.2
-    KF 5.99.0
+ecm_set_disabled_deprecation_versions(QT 6.8.0
+    KF 6.5.0
 )
 
 
@@ -92,42 +95,12 @@
 # let our config-parley.h be found first in any case
 include_directories (BEFORE ${CMAKE_CURRENT_BINARY_DIR})
 
-
-
-# Define link libs for parley executable and unittests
-set( parley_LINK_LIBS
-  LibKEduVocDocumentImport__KEduVocDocument
-  Qt::Core
-  Qt::Svg
-  KF5::I18n
-  KF5::NewStuffWidgets
-  KF5::SonnetCore
-  KF5::SonnetUi
-  KF5::XmlGui
-  KF5::Completion
-  KF5::ConfigWidgets
-  KF5::ConfigGui
-  KF5::WidgetsAddons
-  KF5::TextWidgets
-  KF5::KIOWidgets
-  Qt::Widgets
-  Qt::Gui
-  Qt::Concurrent
-  Qt::Multimedia
-  KF5::Notifications
-  KF5::Crash
-  KF5::CoreAddons
-  Qt::WebEngineWidgets
-)
-
 message(STATUS "cmake cflags ${CMAKE_C_FLAGS}")
 message(STATUS "cmake link flags ${CMAKE_EXE_LINKER_FLAGS}")
 
 if(${LIBXSLT_FOUND} AND ${LIBXML2_FOUND})
   set(HAVE_LIBXSLT 1)
   message(STATUS "XLST found")
-  set( parley_LINK_LIBS ${parley_LINK_LIBS} ${LIBXML2_LIBRARIES} ${LIBXSLT_LIBRARIES})
-  include_directories(${LIBXML2_INCLUDE_DIR} ${LIBXSLT_INCLUDE_DIR})
 else(${LIBXSLT_FOUND} AND ${LIBXML2_FOUND})
   set(HAVE_LIBXSLT 0)
   message(STATUS "XSLT not found, but not required")
@@ -141,7 +114,7 @@
 endif(X11_Xrender_FOUND)
 
 if(BUILD_TESTING)
-  find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Test)
+  find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Test)
   add_subdirectory( autotests )
   add_subdirectory( tests )
 endif()
@@ -156,7 +129,7 @@
 endif(HAVE_LIBXSLT)
 
 ki18n_install(po)
-if (KF5DocTools_FOUND)
+if (KF6DocTools_FOUND)
     kdoctools_install(po)
 endif()
 install(FILES org.kde.parley.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
@@ -166,4 +139,4 @@
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
parley (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:51:18 +0000

parley (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:23:59 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:24.12.1~),
+               libkeduvocdocument-dev (>= 4:24.12.3~),
                libkf6config-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),
                libkf6crash-dev (>= 6.3.0~),

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	xvfb-run dh_auto_test

## parley 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,14 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(parley VERSION ${RELEASE_SERVICE_VERSION})
 set(QT_MIN_VERSION "6.5.0")
 set(KF_MIN_VERSION "6.3.0")
-set(KDE_COMPILERSETTINGS_LEVEL "5.82.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -24,11 +23,6 @@
 include(KDEGitCommitHooks)
 include(ECMDeprecationSettings)
 
-#Allows QString concatenation to use a single memory allocation per source line.
-add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
-add_definitions(-DQT_NO_FOREACH)
-
 option(BUILD_BROWSERINTEGRATION "Build integration for accessing the Internet (requires QtWebengine)" ON)
 
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
@@ -36,6 +30,7 @@
   Svg
   Concurrent
   Multimedia
+  DBus
 )
 if (BUILD_BROWSERINTEGRATION)
     find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED WebEngineWidgets)

=== tests/CMakeLists.txt ===
# stub

=== debian/changelog ===
parley (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:29:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: parley
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16.0~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:24.12.3~),
+               libkeduvocdocument-dev (>= 4:24.08.2~),
                libkf6config-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),
                libkf6crash-dev (>= 6.3.0~),
@@ -28,17 +27,17 @@
                qt6-base-dev (>= 6.5.0~),
                qt6-multimedia-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
-               qt6-webengine-dev (>= 6.5.0~),
+               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/parley
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/parley.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/parley
 
 Package: parley
-Architecture: amd64 arm64 armhf
+Architecture: any
 Depends: kdeedu-kvtml-data,
          parley-data (>= ${source:Version}),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

webengine_archs := amd64 arm64 armhf i386

%:
	dh $@

ifneq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(webengine_archs)))
override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DBUILD_BROWSERINTEGRATION=OFF
endif

override_dh_auto_test:
	xvfb-run dh_auto_test
